# Ask a connected node to check itself.

> Waits up to 20 seconds for the node's answer.
> https://koi.dog/docs/api/nodes/diagnose-node/

`POST /api/v1/nodes/{id}/diagnose` · Scope: `config`

No query parameters, and no body.

## Path parameters.

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `string` | yes | The machine's id. |

## Headers.

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Idempotency-Key` | `string` | no | Makes a retry safe: the same key with the same request returns the first answer and does nothing else. |

## Response.

200 OK: a JSON object. The example has placeholder values.

## Request.

```sh
curl -X POST "https://app.koi.dog/api/v1/nodes/$ID/diagnose" \
    -H "Authorization: Bearer $KOIDOG_API_KEY" \
    -H "Idempotency-Key: $(uuidgen)"
```

```js
const res = await fetch(`https://app.koi.dog/api/v1/nodes/${process.env.ID}/diagnose`, {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.KOIDOG_API_KEY}`,
    "Idempotency-Key": crypto.randomUUID(),
  },
});
console.log(await res.json());
```

```python
import os
import uuid

import requests

r = requests.post(
    f"https://app.koi.dog/api/v1/nodes/{os.environ['ID']}/diagnose",
    headers={
        "Authorization": f"Bearer {os.environ['KOIDOG_API_KEY']}",
        "Idempotency-Key": str(uuid.uuid4()),
    },
)
r.raise_for_status()
print(r.json())
```

## Response example.

```json
{
  "nodeId": "string",
  "at": "string",
  "checks": []
}
```
